complexType "ServiceProcessingStatus"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | cycle?, step?, event?
</...>

Content Model Elements (3):

  cycle (in processingStatus), event, | step (in processingStatus)

All Direct / Indirect Based Elements (1):

  processingStatus

Known Usage Locations

- As direct type of elements (1):
  processingStatus

Annotation
A type defining the content model for report on the status of the processing by a service. In the future we may wish to provide some kind of scope or other qualification for the event, e.g. the currencies, products, or books to which it applies.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ServiceProcessingStatus"> <xsd:sequence> <xsd:element minOccurs="0" name="cycle" type="ServiceProcessingCycle"/> <xsd:element minOccurs="0" name="step" type="ServiceProcessingStep"/> <!-- todo: insert qualifiers, such as currency or product or book??? --> <xsd:element minOccurs="0" name="event" type="ServiceProcessingEvent"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
cycle

  Type: | ServiceProcessingCycle, simple content

  The processing cycle or phase that this message describes. For example, EndOfDay or Intraday.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cycle" type="ServiceProcessingCycle"/>

event

  Type: | ServiceProcessingEvent, simple content

  The event that occurred within the cycle or step, for example "Started" or "Completed"..
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="event" type="ServiceProcessingEvent"/>

step

  Type: | ServiceProcessingStep, simple content

  The stage within a processing cycle or phase that this message describes. For example, Netting or Valuation.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="step" type="ServiceProcessingStep"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.